## org.apache.lucene.util.automaton
Class StatePair

    java.lang.Object
      org.apache.lucene.util.automaton.StatePair

    public class StatePair

extends Object

Pair of states.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`StatePair(State s1, State s2)` Constructs a new state pair.

Method Summary
`boolean` `equals(Object obj)` Checks for equality.
`State` `getFirstState()` Returns first component of this pair.
`State` `getSecondState()` Returns second component of this pair.
`int` `hashCode()` Returns hash code.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatePair

    public StatePair(State s1,
                     State s2)

  Constructs a new state pair.

  Parameters:
    `s1` - first state
    `s2` - second state

Method Detail

### getFirstState

    public State getFirstState()

  Returns first component of this pair.

  Returns:
    first state

### getSecondState

    public State getSecondState()

  Returns second component of this pair.

  Returns:
    second state

### equals

    public boolean equals(Object obj)

  Checks for equality.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - object to compare with
  Returns:
    true if `obj` represents the same pair of states as this pair

### hashCode

    public int hashCode()

  Returns hash code.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    hash code

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.